Name:           codemodel
Version:        2.6
Release:        1%{?dist}
Summary:        Java library for code generators
Group:          Development/Libraries
License:        CDDL and GPLv2
URL:            http://codemodel.java.net

# svn export https://svn.java.net/svn/codemodel~svn/tags/codemodel-project-2.6/ codemodel-2.6
# tar -zcvf codemodel-2.6.tar.gz codemodel-2.6
Source0:        %{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-pom.patch

BuildArch:      noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    istack-commons
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin

Requires:       istack-commons
Requires:       jpackage-utils
Requires:       java

%description
CodeModel is a Java library for code generators; it provides a way to
generate Java programs in a way much nicer than PrintStream.println().
This project is a spin-off from the JAXB RI for its schema compiler
to generate Java source files.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0 -p1

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR
cp -p codemodel/target/codemodel-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-codemodel.jar
cp -p codemodel-annotation-compiler/target/codemodel-annotation-compiler-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-codemodel-annotation-compiler.jar

# JAVADOC
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
cp -p pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-project.pom
cp -p codemodel/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-codemodel.pom
cp -p codemodel-annotation-compiler/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-codemodel-annotation-compiler.pom

# DEPMAP
%add_maven_depmap JPP-%{name}-project.pom
%add_maven_depmap JPP-%{name}-codemodel.pom %{name}-codemodel.jar
%add_maven_depmap JPP-%{name}-codemodel-annotation-compiler.pom %{name}-codemodel-annotation-compiler.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc LICENSE.html

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Mon Jan 16 2012 Marek Goldmann <mgoldman@redhat.com> 2.6-1
- Initial packaging

